var MongoClient = require('mongodb').MongoClient;

var db = {                 
  connection: null,
  
  get: function() {
    return this.connection;
  },
  
  connect: function(dbname, callback) {    
    var self = this;
    
    var cacheConnection = function(err, db) {
      self.connection = db;
      callback(err);
    };
    
    MongoClient.connect(dbname, cacheConnection);    
  },
  
  close: function() {
    this.connection.close();
    this.connection = null;
  }
};

module.exports = db;