var http = require('http');
var app = require('../../app');

before(function() {
  http.createServer(app).listen(3000);
});

beforeEach(function(done) {
   var db = require('../../db');

   var callback = function() {
     db.get().collection('people').remove(function() {
       var people = [
         {first: 'Venkat', last: 'Subramaniam', email: 'venkats@agiledeveloper.com'},
       ];
       db.get().collection('people').insert(people, done);       
     });
   };

   db.connect('mongodb://localhost/contactsdb', callback);  
});